package com.example.calculator.model;

public enum Operator {
    ADD('+'), SUBTRACT('-'), MULTIPLY('*'), DIVIDE('/');

    private final char op;

    Operator(char op){ this.op = op; }

    public static Operator getOperator(char c){
        switch (c) {
            case '+': return ADD;
            case '-': return SUBTRACT;
            case 'x': return MULTIPLY;
            case '/': return DIVIDE;
        }
        return null;
    }
    public char getOpChar(){ return op; }

    @Override public String toString(){ return op + ""; }
}
